Bind a Quoted Submission
curl --request PUT \
--url https://api.coverwhale.dev/v1/bind/{displayId} \
--header 'Accept: <accept>' \
--header 'AccessToken: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"coverage": {
"includeAPD": "Y",
"includeAL": "Y",
"includeTGL": "Y",
"includeNTL": "Y",
"includeMTC": "Y",
"optInCWFinancing": "Y",
"electTRIA": "N",
"effectiveDate": "02/25/2026"
},
"bindingMethod": {
"signFirst": "N",
"retailAgentEmail": "agent@example.com",
"insuredEmail": "insured@example.com",
"insuredFullName": "John Doe",
"electronicSignature": "Y"
},
"shippingAddress": {
"dashcam_shipping_address": "insured",
"street": "4310 W Jefferson Blvd",
"city": "Los Angeles",
"state": "CA",
"zip": "90016",
"county": "Los Angeles"
}
}
'import requests
url = "https://api.coverwhale.dev/v1/bind/{displayId}"
payload = {
"coverage": {
"includeAPD": "Y",
"includeAL": "Y",
"includeTGL": "Y",
"includeNTL": "Y",
"includeMTC": "Y",
"optInCWFinancing": "Y",
"electTRIA": "N",
"effectiveDate": "02/25/2026"
},
"bindingMethod": {
"signFirst": "N",
"retailAgentEmail": "agent@example.com",
"insuredEmail": "insured@example.com",
"insuredFullName": "John Doe",
"electronicSignature": "Y"
},
"shippingAddress": {
"dashcam_shipping_address": "insured",
"street": "4310 W Jefferson Blvd",
"city": "Los Angeles",
"state": "CA",
"zip": "90016",
"county": "Los Angeles"
}
}
headers = {
"Content-Type": "<content-type>",
"Accept": "<accept>",
"AccessToken": "<api-key>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Accept: '<accept>', AccessToken: '<api-key>'},
body: JSON.stringify({
coverage: {
includeAPD: 'Y',
includeAL: 'Y',
includeTGL: 'Y',
includeNTL: 'Y',
includeMTC: 'Y',
optInCWFinancing: 'Y',
electTRIA: 'N',
effectiveDate: '02/25/2026'
},
bindingMethod: {
signFirst: 'N',
retailAgentEmail: 'agent@example.com',
insuredEmail: 'insured@example.com',
insuredFullName: 'John Doe',
electronicSignature: 'Y'
},
shippingAddress: {
dashcam_shipping_address: 'insured',
street: '4310 W Jefferson Blvd',
city: 'Los Angeles',
state: 'CA',
zip: '90016',
county: 'Los Angeles'
}
})
};
fetch('https://api.coverwhale.dev/v1/bind/{displayId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"status": "failed",
"error": "Submission status must be quoted"
}Binding
Bind a Quoted Submission
Submit a bind request for a quoted submission. The submission must be in ‘Quoted’ status.
PUT
/
bind
/
{displayId}
Bind a Quoted Submission
Authorizations
AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.
Path Parameters
The submission display ID
Body
application/json
Response
Bind request submitted successfully
Example:
"success"